Social Account

get
/social-account/accounts/

This method returns details about a specific social account, including its ID, provider (e.g., 'facebook'), UID, last login date, date joined, and any additional data. It also includes the associated user ID.

Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Query parameters
date_joinedstring · date-timeOptional

Query parameter date_joined used to filter results based on specific conditions.

extra_datastringOptional

Query parameter extra_data used to filter results based on specific conditions.

idintegerOptional

Query parameter id used to filter results based on specific conditions.

id__gtintegerOptional

Filters records where id is greater than the given value.

id__gteintegerOptional

Filters records where id is greater than or equal to the given value.

id__ltintegerOptional

Filters records where id is less than the given value.

id__lteintegerOptional

Filters records where id is less than or equal to the given value.

last_loginstring · date-timeOptional

Query parameter last_login used to filter results based on specific conditions.

limitintegerOptional

Limits the number of results returned in the response.

pageintegerOptional

Query parameter page used to filter results based on specific conditions.

providerstringOptional

Query parameter provider used to filter results based on specific conditions.

sortstringOptional

Query parameter sort used to filter results based on specific conditions.

uidstringOptional

Query parameter uid used to filter results based on specific conditions.

userintegerOptional

Query parameter user used to filter results based on specific conditions.

Responses
chevron-right
200

Successful response for status code 200.

application/json
countintegerOptional

Numerical value representing quantity or total amount.

Example: 123
nextstring · uri · nullableOptional

This field defines the URL of the next page.

Example: http://api.example.org/accounts/?page=4
previousstring · uri · nullableOptional

This field defines the URL of the previous page.

Example: http://api.example.org/accounts/?page=2
get
/social-account/accounts/
200

Successful response for status code 200.

get
/social-account/accounts/{id}/

This method returns details about a specific social account, including its ID, provider (e.g., 'facebook'), UID, last login date, date joined, and any additional data. It also includes the associated user ID. This endpoint retrieves a specific record by its unique identifier.

Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Path parameters
idintegerRequired

A unique integer value identifying this social account.

Responses
chevron-right
200

Successful response for status code 200.

application/json
date_joinedstring · date-timeOptional

The field defines the date when the user registered using a social account.

extra_datastringOptional

The field defines the extra data related to the social account provider.

idintegerOptional

Unique identifier for the record.

last_loginstring · date-timeOptional

The field defines the last login date of the user.

providerall ofOptional

The field defines the social account provider. e.g. akifast, facebook, apple, …

string · enumOptional
  • facebook - Facebook
  • apple - Apple
  • apple_mobile - Apple Mobile
  • akifast - Akifast
  • turkcell - Turkcell
  • google - Google
  • google_mobile - Google Mobile
  • jwt_sso - JWT SSO
Possible values:
uidstring · max: 191Optional

The field defines the unique UID of the social account.

userintegerOptional

This field defines the user who triggered the event.

get
/social-account/accounts/{id}/

Last updated

Was this helpful?